Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84223 - alpha as segfault
Summary: alpha as segfault
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils
Version: 1.0
Hardware: alpha
OS: Linux
low
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 17:47 UTC by Elliot Lee
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-07 13:48:42 UTC


Attachments (Terms of Use)
qtmds.s (deleted)
2003-02-13 17:48 UTC, Elliot Lee
no flags Details

Description Elliot Lee 2003-02-13 17:47:30 UTC
Run:

as --gdwarf2 qtmds.s

using attached file. Segfaults.

Comment 1 Elliot Lee 2003-02-13 17:48:44 UTC
Created attachment 90057 [details]
qtmds.s

Comment 2 Jakub Jelinek 2003-02-17 14:06:09 UTC
Primarily the assembly is broken. Kill .file 2 "axp.s" line (files are numbered
starting from 1, not 2).
Of course gas shouldn't segfault on it, just print error message.

Comment 3 Jakub Jelinek 2004-10-07 13:48:42 UTC
Current CVS binutils certainly don't segfault on it:
./as-new qtmds.s
qtmds.s: Assembler messages:
qtmds.s:0: Warning: end of file not at end of a line; newline inserted
qtmds.s:1: Error: junk at end of line, first unrecognized character valued 0x7
qtmds.s:1: Error: junk at end of line, first unrecognized character valued 0xf
qtmds.s:1: Error: unknown opcode `'
qtmds.s:1: Error: unknown opcode `mbin'
qtmds.s:1: Error: unknown opcode `'

Comment 4 Jakub Jelinek 2004-10-07 13:50:16 UTC
Argh, the file was some weirdo format.  When assembling just the assembler
from it, it works even without a warning.


Note You need to log in before you can comment on or make changes to this bug.